Update Metafield
Update a metafield.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
location_id
Unique identifier for a location.
metafield_id
Unique identifier for a metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
key
The name of the field, for example: location_id, color.
value
The value of the field, for example: 1, blue.
namespace
Namespace for the metafield, for organizational purposes.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
description
Description for the metafields.
Response
The request has been successfully processed.
data
Allows app partners to write custom data to various resources in the API.
meta
Errors
400
Bad Request Error
404
Not Found Error